Page MenuHomePhabricator

Eventstreams build is broken
Closed, ResolvedPublic2 Story Points

Description

Eventstreams tries to install node-rdkafka@2.5.1 which depends on librdkafka@0.11.6, however, we only have librdkafka@0.11.3 installed and backported into Jessie, so the build is failing and we obviously can't deploy eventstreams.

I believe that we should restrict the node-rdkafka package version to 2.3.X in event streams dependencies now and not try upgrading librdkafka to 0.11.6 right now since librdkafka 1.0 is coming out very soon (it's RC7 now).

Event Timeline

Pchelolo created this task.Feb 14 2019, 8:48 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 14 2019, 8:48 PM

Hm, not sure why EventStreams is requiring node-rdkafka@2.5.1. EventStreams itself doesn't require node-rdkafka, its KafkaSSE dependency does. KafkaSSE requires ^2.3.4.

KafkaSSE requires ^2.3.4.

2.5.1 satisfies ^2.3.4 :) I think we should lock the node-rdkafka dependency either by removing the ^ or by adding a package-lock. The driver has an external dependency (librdkafka) and in general too important to be loose on its version.

Can we do a package-lock in the EventStreams repo?

It's still undecided what to do with package-lock (T179229), so maybe let's just freeze the verison?

+1 on freezing the version in package.json in this instance, as this is what we really need.

Milimetric triaged this task as High priority.
Milimetric added a project: Analytics-Kanban.

Change 492016 had a related patch set uploaded (by Ottomata; owner: Ottomata):
[mediawiki/services/eventstreams@master] Use specific node-rdkafka version

https://gerrit.wikimedia.org/r/492016

Change 492016 merged by Ottomata:
[mediawiki/services/eventstreams@master] Use specific node-rdkafka version

https://gerrit.wikimedia.org/r/492016

Ottomata moved this task from In Code Review to Done on the Analytics-Kanban board.Mar 4 2019, 4:06 PM
Ottomata set the point value for this task to 2.Mar 4 2019, 4:09 PM
Nuria closed this task as Resolved.Mar 11 2019, 6:13 PM